Create Logger API Key
Create a new API key for a logger. API keys allow management access to the logger.
Authentication
Requires management credentials:
Api-Key — Your API key
Api-Secret — Your API secret
Path Parameters
| Parameter |
Description |
id |
The unique identifier of the logger |
Request Body
| Field |
Type |
Required |
Description |
name |
string |
yes |
A label to identify this API key |
1{
2 "name": "ci-cd-key"
3}
Request
1curl -X POST "https://api.hola.cloud/v1/loggers/logger_xyz789/apiKeys" \
2 -H "Api-Key: LOGGER_API_KEY" \
3 -H "Api-Secret: LOGGER_API_SECRET" \
4 -H "Content-Type: application/json" \
5 -d '{
6 "name": "ci-cd-key"
7 }'
1POST /v1/loggers/logger_xyz789/apiKeys HTTP/1.1
2Host: api.hola.cloud
3Api-Key: LOGGER_API_KEY
4Api-Secret: LOGGER_API_SECRET
5Content-Type: application/json
6
7{
8 "name": "ci-cd-key"
9}
Response
1{
2 "id": "ak_123456",
3 "name": "ci-cd-key",
4 "key": "lgs_api_key_value",
5 "created_at": "2025-06-20T15:00:00Z"
6}
Error Codes
| Code |
Description |
| 400 |
Missing or invalid name field |
| 401 |
Missing or invalid API credentials |
| 403 |
API credentials do not have access to this logger |
| 404 |
Logger not found |
Comments